Subject: Re: RFD: tables in documentation

From: Michael J Gruber <[email-masked]>
Date: Sun, 02 May 2010 17:27:47 +0200

Michael J Gruber venit, vidit, dixit 02.05.2010 17:08:
> Will Palmer venit, vidit, dixit 02.05.2010 16:51:
>> sorry about that, apparently "shift+enter" means "send" to this thing...
>>
>> On Sun, 2010-05-02 at 15:43 +0100, Will Palmer wrote:
>>> On Sun, 2010-05-02 at 15:31 +0200, Michael J Gruber wrote:
>>>> Jeff King venit, vidit, dixit 02.05.2010 07:06:
>>>>> On Sat, May 01, 2010 at 08:37:39PM +0200, Michael J Gruber wrote:
>>>>> Did you put the source up anywhere? I didn't see it, but it would be
>>>>> interesting to see how painful it is to write.
>>>>
>>>> http://repo.or.cz/w/git/mjg.git/shortlog/refs/heads/doc-use-tables
>>>>
>>>> Tough guess, I know ;)
>>>>
>>>> Michael
>>>
>>
>> that looks suspiciously like a format that's intended to be readable in
>> both plaintext and eventually-generated form. This is me speaking in
>> pure ignorance, but would something like (though I assume not exactly):
>>
>> [cols="1,3*5,8"]
>>    |=====================
>>    |		   |I		 |H		|M		|Result
>>    |     0	   |nothing	 |nothing	|nothing	|(does not happen)
>>    |     1	   |nothing	 |nothing	|exists		|use M
>>    |     2	   |nothing	 |exists	|nothing	|remove path from index
>> .2+|	 3	.2+|nothing   .2+|exists	|exists, H == M |use M if "initial checkout", keep index otherwise
>> 						 exists, H != M |fail
>>    |=====================
>>
>> work as intended?
>>
> 
> Uhm, how is that different from my patch (except for spaces which I
> didn't bother with for this p-o-c)? [This is AsciiDoc - you know, do
> you? ;)]
> 
> Jeff doesn't like the ascii art in the roff output (.1, as can be seen
> in the .1.txt file). It looks very "strong", just like the content.
> 
> Further experimentation (editing the xml) indicates that with my
> toolchain, I can either shut off all borders (between cells as well as
> outer) or none. Why does working with the toolchain always frustrate me?
> It's often a hindrance for improvements.
> 
> So, we could shut off all borders by adding an output dependent table
> definition in asciidoc.conf, copying current asciidoc's own and
> modifying it for docbook-man output. Is it worth it? Maybe others like
> the strong ascii borders...

For completeness, it results in this:

     I                H         M               Result

 0   nothing          nothing   nothing         (does not happen)

 1   nothing          nothing   exists          use M

 2   nothing          exists    nothing         remove path from index

 3   nothing          exists    exists, H ==M   use M if "initial
                                                checkout", keep index
     exists, H != M             fail            otherwise

[Same unealt rowspan issue, of course.]
Michael